Help

0

I can´t install Contact us form in my web site

Avatar
javier juarez

I´m new in odoo, and  I don´t know why i cant put The contact us form in my page.

I have tried desinstrall and install many aplications, and now i cant´t install the next aplications:

gestion de ventas
comersio electronico
Online Event Ticketing
chat en vivo sitio web
Charla en vivo
ventas_pos
Disponibilidad del producto
punto de venta
Sitio web - Gestión de Ventas


Error: 
Odoo Server Error

Traceback (most recent call last):
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\cache.py", line 88, in lookup
r = d[key]
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\func.py", line 69, in wrapper
return func(self, *args, **kwargs)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\lru.py", line 44, in __getitem__
a = self.d[obj].me
KeyError: ('ir.model.data', <function IrModelData.xmlid_lookup at 0x01CC2A98>, 'website.contactus')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 758, in parse
self._tags[rec.tag](rec, de, mode=mode)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 736, in _tag_template
return self._tag_record(record, data_node)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 650, in _tag_record
f_val = self.id_get(f_ref)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 741, in id_get
res = self.model_id_get(id_str, raise_if_not_found)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 747, in model_id_get
return self.env['ir.model.data'].xmlid_to_res_model_res_id(id_str, raise_if_not_found=raise_if_not_found)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_model.py", line 1404, in xmlid_to_res_model_res_id
return self.xmlid_lookup(xmlid)[1:3]
File "<decorator-gen-25>", line 2, in xmlid_lookup
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\cache.py", line 93, in lookup
value = d[key] = self.method(*args, **kwargs)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_model.py", line 1393, in xmlid_lookup
raise ValueError('External ID not found in the system: %s' % xmlid)
ValueError: External ID not found in the system: website.contactus

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 656, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 314, in _handle_exception
raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\pycompat.py", line 87, in reraise
raise value
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 698, in dispatch
result = self._call_function(**self.params)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 346, in _call_function
return checked_call(self.db, *args, **kwargs)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\service\model.py", line 97, in wrapper
return f(dbname, *args, **kwargs)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 339, in checked_call
result = self.endpoint(*a, **kw)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 941, in __call__
return self.method(*args, **kw)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 519, in response_wrap
response = f(*args, **kw)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\web\controllers\main.py", line 966, in call_button
action = self._call_kw(model, method, args, {})
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\web\controllers\main.py", line 954, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 759, in call_kw
return _call_kw_multi(method, model, args, kwargs)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 746, in _call_kw_multi
result = method(recs, *args, **kwargs)
File "<decorator-gen-61>", line 2, in button_immediate_install
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_module.py", line 74, in check_and_log
return method(self, *args, **kwargs)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_module.py", line 445, in button_immediate_install
return self._button_immediate_function(type(self).button_install)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_module.py", line 561, in _button_immediate_function
modules.registry.Registry.new(self._cr.dbname, update_module=True)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\modules\registry.py", line 86, in new
odoo.modules.load_modules(registry._db, force_demo, status, update_module)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\modules\loading.py", line 421, in load_modules
loaded_modules, update_module, models_to_check)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\modules\loading.py", line 313, in load_marked_modules
perform_checks=perform_checks, models_to_check=models_to_check
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\modules\loading.py", line 222, in load_module_graph
load_data(cr, idref, mode, kind='data', package=package, report=report)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\modules\loading.py", line 68, in load_data
tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 802, in convert_file
convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 865, in convert_xml_import
obj.parse(doc.getroot(), mode=mode)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 764, in parse
exc_info[2]
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\pycompat.py", line 86, in reraise
raise value.with_traceback(tb)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 758, in parse
self._tags[rec.tag](rec, de, mode=mode)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 736, in _tag_template
return self._tag_record(record, data_node)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 650, in _tag_record
f_val = self.id_get(f_ref)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 741, in id_get
res = self.model_id_get(id_str, raise_if_not_found)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 747, in model_id_get
return self.env['ir.model.data'].xmlid_to_res_model_res_id(id_str, raise_if_not_found=raise_if_not_found)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_model.py", line 1404, in xmlid_to_res_model_res_id
return self.xmlid_lookup(xmlid)[1:3]
File "<decorator-gen-25>", line 2, in xmlid_lookup
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\cache.py", line 93, in lookup
value = d[key] = self.method(*args, **kwargs)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_model.py", line 1393, in xmlid_lookup
raise ValueError('External ID not found in the system: %s' % xmlid)
odoo.tools.convert.ParseError: "External ID not found in the system: website.contactus" while parsing None:3, near
<data name="Contact Form" inherit_id="website.contactus" customize_show="True">
<xpath expr="//div[@name='mail_button']" position="replace">
<div>
<form action="/website_form/" method="post" data-model_name="crm.lead" data-success_page="/contactus-thank-you" class="s_website_form container-fluid mt32" enctype="multipart/form-data" data-editable-form="false">
<div class="form-group row form-field o_website_form_required_custom">
<label class="col-lg-3 col-md-4 col-form-label" for="contact_name">Your Name</label>
<div class="col-lg-7 col-md-8">
<input type="text" class="form-control o_website_form_input" name="contact_name" t-att-value="request.params.get('contact_name', '')" required=""/>
</div>
</div>
<div class="form-group row form-field">
<label class="col-lg-3 col-md-4 col-form-label" for="phone">Phone Number</label>
<div class="col-lg-7 col-md-8">
<input type="text" class="form-control o_website_form_input" name="phone" t-att-value="request.params.get('phone', '')"/>
</div>
</div>
<div class="form-group row form-field o_website_form_required_custom">
<label class="col-lg-3 col-md-4 col-form-label" for="email_from">Email</label>
<div class="col-lg-7 col-md-8">
<input type="text" class="form-control o_website_form_input" name="email_from" required="" t-att-value="request.params.get('email_from', '')"/>
</div>
</div>
<div class="form-group row form-field o_website_form_required_custom">
<label class="col-lg-3 col-md-4 col-form-label" for="partner_name">Your Company</label>
<div class="col-lg-7 col-md-8">
<input type="text" class="form-control o_website_form_input" name="partner_name" required="" t-att-value="request.params.get('partner_name', '')"/>
</div>
</div>
<div class="form-group row form-field o_website_form_required">
<label class="col-lg-3 col-md-4 col-form-label" for="name">Subject</label>
<div class="col-lg-7 col-md-8">
<input type="text" class="form-control o_website_form_input" name="name" required="" t-att-value="request.params.get('name', '')"/>
</div>
</div>
<div class="form-group row form-field o_website_form_required_custom">
<label class="col-lg-3 col-md-4 col-form-label" for="description">Your Question</label>
<div class="col-lg-7 col-md-8">
<textarea class="form-control o_website_form_input" name="description" required=""><t t-esc="request.params.get('description', '')"/></textarea>
</div>
</div>
<div class="form-group row">
<div class="offset-lg-3 offset-md-4 col-md-8 col-lg-7">
<a href="#" role="button" class="btn btn-primary btn-lg o_website_form_send">Send</a>
<span id="o_website_form_result"/>
</div>
</div>
</form>
</div>
</xpath>
</data>

1 Comment
Avatar
Discard
Avatar
Hilar Andikkadavath
-

Please check the website module is properly installed.

3 Answers
0
Avatar
javier juarez
Best Answer

thank you, I coul solve the problem, I did a lot of things, 

I created a new page of contact us,  a new contact form view, a new contact us view. 

and finally I updated, the web site module, and contatct form for web site. 

and that was all 

thank you everybody :)

Avatar
Discard
0
Best Answer

Hello Javier,

Please make sure that you have add "website" in depends of your module manifest file. And also try to use template instead of data. for eg:
<template id="contactus_form" name="Contact Form" inherit_id="website.contactus" customize_show="True">
<xpath expr="//div[@name='mail_button']" position="replace">
..............your code.............
</xapth>
</template>


Regards,




Email: odoo@aktivsoftware.com

Skype: kalpeshmaheshwari

   

Avatar
Discard